Package io.trino.jdbc

## Class TrinoIntervalDayTime

- java.lang.Object
- - io.trino.jdbc.TrinoIntervalDayTime

All Implemented Interfaces:
  `Comparable<TrinoIntervalDayTime>`

    public class TrinoIntervalDayTime
    extends Object
    implements Comparable<TrinoIntervalDayTime>

### Constructor Summary

Constructors
`TrinoIntervalDayTime​(int day, int hour, int minute, int second, int millis)`
`TrinoIntervalDayTime​(long milliSeconds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(TrinoIntervalDayTime o)`
`boolean` `equals​(Object obj)`
`long` `getMilliSeconds()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TrinoIntervalDayTime

    public TrinoIntervalDayTime​(long milliSeconds)

#### TrinoIntervalDayTime

    public TrinoIntervalDayTime​(int day,
                                int hour,
                                int minute,
                                int second,
                                int millis)

### Method Detail

#### getMilliSeconds

    public long getMilliSeconds()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo​(TrinoIntervalDayTime o)

Specified by:
  `compareTo` in interface `Comparable<TrinoIntervalDayTime>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`